package com.brilliance.swift.mx2mt.mt202cov202.impl;

import com.brilliance.swift.constants.Mx2MtConstants;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtFieldsGenerate;
import org.dom4j.Document;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <GrpHdr><MsgId>
 */
public class Field20Generate extends AbstractMx2MtFieldsGenerate {
    private static final Logger logger = LoggerFactory.getLogger(Field20Generate.class);

    @Override
    public void fieldsGenerate() throws SwiftException {
        try {
            String field20 = "";
            Document document = (Document)map.get(Mx2MtConstants.MX_XML_DOCUMENT);
            field20 = getXmlNodeValue(Mx2MtConstants.GRPHDR_PARENT_ELEMENT_NAME, document, "GrpHdr.MsgId");
            map.put("field20", field20);
        } catch(Exception e) {
            throw new SwiftException("ERROR", e.getMessage());
        }

    }
}
