package com.brilliance.swift.mx2mt.mt940950.impl;

import com.brilliance.swift.constants.Mx2MtConstants;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtFieldsGenerate;
import com.brilliance.swift.util.StringUtil;
import org.dom4j.Document;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *<Stmt><AddtlStmtInf>
 *
 */
public class Field86Generate extends AbstractMx2MtFieldsGenerate {
    private static final Logger logger = LoggerFactory.getLogger(Field86Generate.class);


    @Override
    public void fieldsGenerate() throws SwiftException {
        try {
            String addtlStmtInf = "";
            Document document = (Document)map.get(Mx2MtConstants.MX_XML_DOCUMENT);
            String stmtInf = getXmlNodeValue(Mx2MtConstants.MAINBODY_PARENT_ELEMENT_NAME, document, "Stmt.AddtlStmtInf");
            if (StringUtil.isNotEmpty(stmtInf)) {
                addtlStmtInf = stmtInf;
                map.put("field86", addtlStmtInf);
            }
        } catch (Exception e) {
            logger.error(e.getMessage());
            throw new SwiftException("ERROR", e.getMessage());
        }
    }



}
