package com.brilliance.swift.mx2mt.mt103.impl;

import com.brilliance.swift.constants.Mx2MtConstants;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtFieldsGenerate;
import org.dom4j.Document;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


/**
 * <CdtTrfTxInf>[1]<Purp><Prtry>
 */
public class Field26TGenerate extends AbstractMx2MtFieldsGenerate {

    private static final Logger logger = LoggerFactory.getLogger(Field26TGenerate.class);
    @Override
    public void fieldsGenerate() throws SwiftException {
        try {
            String field26T = "";
            Document document = (Document)map.get(Mx2MtConstants.MX_XML_DOCUMENT);
            field26T = getXmlNodeValue(Mx2MtConstants.MAINBODY_PARENT_ELEMENT_NAME, document, "CdtTrfTxInf.Purp.Prtry");
            map.put("field26T",field26T);
        } catch (Exception e) {
            throw new SwiftException("ERROR", e.getMessage());
        }
    }
}
