package com.brilliance.swift.mx2mt.mt900910.impl;

import com.brilliance.swift.constants.Mx2MtConstants;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtFieldsGenerate;
import com.brilliance.swift.util.StringUtil;
import org.dom4j.Document;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <GrpHdr><MsgId>
 */
public class Field20Generate extends AbstractMx2MtFieldsGenerate {

    private static final Logger logger = LoggerFactory.getLogger(Field20Generate.class);


    @Override
    public void fieldsGenerate() throws SwiftException {
        try {
            String msgId = "";
            Document document = (Document)map.get(Mx2MtConstants.MX_XML_DOCUMENT);
            String id = getXmlNodeValue(Mx2MtConstants.MAINBODY_PARENT_ELEMENT_NAME, document, "GrpHdr.MsgId");
            if (StringUtil.isNotEmpty(id)) {
                msgId = id;
                map.put("field20", msgId);
            }
        } catch (Exception e) {
            throw new SwiftException("ERROR", e.getMessage());
        }

    }
}
