package com.brilliance.swift.mx2mt.mt900910.impl;

import com.brilliance.swift.constants.Mx2MtConstants;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtFieldsGenerate;
import com.brilliance.swift.util.StringUtil;
import org.dom4j.Document;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <Ntfctn><Ntry><NtryDtls><TxDtls><Refs><EndToEndId>
 */
public class Field21Generate extends AbstractMx2MtFieldsGenerate {

    private static final Logger logger = LoggerFactory.getLogger(Field21Generate.class);

    @Override
    public void fieldsGenerate() throws SwiftException {
        try {
            String endToEndId = "";
            Document document = (Document)map.get(Mx2MtConstants.MX_XML_DOCUMENT);
            String id = getXmlNodeValue(Mx2MtConstants.MAINBODY_PARENT_ELEMENT_NAME, document, "Ntfctn.Ntry.NtryDtls.TxDtls.Refs.EndToEndId");
            if (StringUtil.isNotEmpty(id)) {
                endToEndId = id;
                map.put("field21", endToEndId);
            }
        } catch (Exception e) {
            throw new SwiftException("ERROR", e.getMessage());
        }
    }
}
